<?php
/**
 * Media insert frame view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<!-- Start: #ipimpr-insert-frame -->
<div id="ipimpr-insert-frame" class="ipimpr-ui-modal ipimpr_scwrap ipimpr-wrap ipimpr-frame-fullwidth" style="display: none;">
  <!-- Start: .ipimpr-ui-modal-main -->
  <div class="ipimpr-ui-modal-main">

    <!-- start: .ipimpr-form -->
    <?php
    $formAction = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipimpr=1&action=insertfinish';
    ?>
    <form id="ipimpr-form-insert-finish" class="ipimpr-form" action="<?php echo $this->formAction; ?>" method="post">
      <?php wp_nonce_field( plugin_basename( __FILE__ ), 'ipimpr_insert_image_nonce' ); ?>

      <div id="ipimpr_scfirst_form" class="ipimpr-ui-modal-inner">
        <!-- Start: .ipimpr-ui-modal-title -->
        <div class="ipimpr-ui-modal-title">
          <h3>
            <span class="dashicons-before dashicons-admin-generic"></span>
            <?php _e( 'Image Settings', IPIMPR_SLUG ); ?>
          </h3>
          <div class="ipimpr-ui-close">
            <a class="ipimpr-ui-close-link" href="#">x</a>
          </div>
        </div>
        <!-- End: .ipimpr-ui-modal-title -->

        <!-- Start: .ipimpr-ui-modal-content -->
        <div class="ipimpr-ui-modal-content">

          <!-- Start: .ipimpr-insert-main -->
          <div class="ipimpr-insert-main">
            <input type="hidden" id="ipimpr-attachment-id" name="attachment_id" value="">

            <!-- Start: .ipimpr-insert-fields -->
            <div class="ipimpr-insert-fields">
              <!-- Start: .ipimpr-insert-content -->
              <div class="ipimpr-insert-content">

                <!-- start: .container -->
                <div class="container container-fluid">

                  <!-- start: .row -->
                  <div class="row">
                    <!-- start: .ipimpr-fields -->
                    <div class="ipimpr-fields col-xs-12">

                      <?php
                      /*
                       * Title
                       */
                      ?>
                      <!-- start: .ipimpr-field-row -->
                      <div class="ipimpr-field-row ipimpr-field-x ipimpr-help-abs">
                        <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                          <label for="ipimpr-image-content-title"><?php _e( 'Title', IPIMPR_SLUG ); ?></label>
                        </div>

                        <!-- start: .ipimpr-field -->
                        <div class="ipimpr-field col-lg-6 col-md-6 col-sm-12">
                          <input type="text" id="ipimpr-image-content-title" class="ipimpr-input ipimpr-input-full" name="image_title" value="">

                          <div class="ipimpr-help">
                            <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                            <div class="ipimpr-help-content ipimpr-hide">
                              <?php _e( 'The title of the image.', IPIMPR_SLUG ); ?>
                            </div>
                          </div>
                        </div>
                        <!-- end: .ipimpr-field -->
                      </div>
                      <!-- end: .ipimpr-field-row -->

                      <?php
                      /*
                       * Caption
                       */
                      ?>
                      <!-- start: .ipimpr-field-row -->
                      <div class="ipimpr-field-row ipimpr-field-x ipimpr-help-abs">
                        <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                          <label for="ipimpr-image-content-caption"><?php _e( 'Caption', IPIMPR_SLUG ); ?></label>
                        </div>

                        <!-- start: .ipimpr-field -->
                        <div class="ipimpr-field col-lg-6 col-md-6 col-sm-12">
                          <input type="text" id="ipimpr-image-content-caption" class="ipimpr-input ipimpr-input-full" name="image_caption" value="">

                          <div class="ipimpr-help">
                            <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                            <div class="ipimpr-help-content ipimpr-hide">
                              <?php _e( 'The caption of the image.', IPIMPR_SLUG ); ?>
                            </div>
                          </div>
                        </div>
                        <!-- end: .ipimpr-field -->
                      </div>
                      <!-- end: .ipimpr-field-row -->

                      <?php
                      /*
                       * Alt Text
                       */
                      ?>
                      <!-- start: .ipimpr-field-row -->
                      <div class="ipimpr-field-row ipimpr-field-x ipimpr-help-abs">
                        <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                          <label for="ipimpr-image-content-alt"><?php _e( 'Alt Text', IPIMPR_SLUG ); ?></label>
                        </div>

                        <!-- start: .ipimpr-field -->
                        <div class="ipimpr-field col-lg-6 col-md-6 col-sm-12">
                          <input type="text" id="ipimpr-image-content-alt" class="ipimpr-input ipimpr-input-full" name="image_alt" value="">

                          <div class="ipimpr-help">
                            <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                            <div class="ipimpr-help-content ipimpr-hide">
                              <?php _e( 'The alternative text of the image.', IPIMPR_SLUG ); ?>
                            </div>
                          </div>
                        </div>
                        <!-- end: .ipimpr-field -->
                      </div>
                      <!-- end: .ipimpr-field-row -->

                      <?php
                      /*
                       * Description
                       */
                      ?>
                      <!-- start: .ipimpr-field-row -->
                      <div class="ipimpr-field-row ipimpr-field-x ipimpr-help-abs">
                        <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                          <label for="ipimpr-image-content-desc"><?php _e( 'Description', IPIMPR_SLUG ); ?></label>
                        </div>

                        <!-- start: .ipimpr-field -->
                        <div class="ipimpr-field col-lg-6 col-md-6 col-sm-12">
                          <textarea id="ipimpr-image-content-desc" class="ipimpr-input ipimpr-input-full" name="image_desc"></textarea>

                          <div class="ipimpr-help">
                            <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                            <div class="ipimpr-help-content ipimpr-hide">
                              <?php _e( 'The description of the image.', IPIMPR_SLUG ); ?>
                            </div>
                          </div>
                        </div>
                        <!-- end: .ipimpr-field -->
                      </div>
                      <!-- end: .ipimpr-field-row -->

                    </div>
                    <!-- end: .ipimpr-fields -->

                  </div>
                  <!-- end: .row -->

                  <h3 class="ipimpr-field-title mt30">
                    <?php _e( 'Display Settings', IPIMPR_SLUG ); ?>
                  </h3>

                  <!-- start: .row -->
                  <div class="row">
                    <!-- start: .ipimpr-fields -->
                    <div class="ipimpr-fields col-xs-12">

                      <?php
                      /*
                       * Alignment
                       */
                      ?>
                      <!-- start: .ipimpr-field-row -->
                      <div class="ipimpr-field-row ipimpr-field-x">
                        <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                          <label for="ipimpr-image-display-align"><?php _e( 'Alignment', IPIMPR_SLUG ); ?></label>
                        </div>

                        <!-- start: .ipimpr-field -->
                        <div class="ipimpr-field col-lg-9 col-md-6 col-sm-12">
                          <?php
                          $aligns = array(
                            'left'    => __( 'Left' ),
                            'right'   => __( 'Right' ),
                            'center'  => __( 'Center' ),
                            'none'    => __( 'None' ),
                          );
                          ?>
                          <select id="ipimpr-image-display-align" class="ipimpr-input" name="image_display_align">
                            <?php
                            foreach( $aligns as $key => $label ) {
                              echo '<option value="' . $key . '">' . $label . '</option>';
                            }
                            ?>
                          </select>

                          <div class="ipimpr-help">
                            <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                            <div class="ipimpr-help-content ipimpr-hide">
                              <?php _e( 'The alignment of the image.', IPIMPR_SLUG ); ?>
                            </div>
                          </div>
                        </div>
                        <!-- end: .ipimpr-field -->
                      </div>
                      <!-- end: .ipimpr-field-row -->

                      <?php
                      /*
                       * Link To
                       */
                      ?>
                      <!-- start: .ipimpr-field-row -->
                      <div class="ipimpr-field-row ipimpr-field-x ipimpr-help-abs">
                        <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                          <label for="ipimpr-image-display-link-to"><?php _e( 'Link To', IPIMPR_SLUG ); ?></label>
                        </div>

                        <!-- start: .ipimpr-field -->
                        <div class="ipimpr-field col-lg-9 col-md-6 col-sm-12">
                          <?php
                          $options = array(
                            'file'    => __( 'Media File' ),
                            'post'    => __( 'Attachment' ),
                            'custom'  => __( 'Custom URL' ),
                            'none'    => __( 'None' ),
                          );
                          ?>
                          <select id="ipimpr-image-display-link-to" class="ipimpr-input" name="image_display_link_to">
                            <?php
                            foreach( $options as $key => $label ) {
                              echo '<option value="' . $key . '">' . $label . '</option>';
                            }
                            ?>
                          </select>
                          <p class="ipimpr-image-display-link-field">
                            <input type="text" id="ipimpr-image-display-link" class="ipimpr-input ipimpr-input-full" name="image_display_link" value="">
                          </p>

                          <div class="ipimpr-help">
                            <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                            <div class="ipimpr-help-content ipimpr-hide">
                              <?php _e( 'The alignment of the image.', IPIMPR_SLUG ); ?>
                            </div>
                          </div>
                        </div>
                        <!-- end: .ipimpr-field -->
                      </div>
                      <!-- end: .ipimpr-field-row -->

                      <?php
                      /*
                       * Size
                       */
                      ?>
                      <!-- start: .ipimpr-field-row -->
                      <div class="ipimpr-field-row ipimpr-field-x">
                        <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                          <label for="ipimpr-image-display-size"><?php _e( 'Size', IPIMPR_SLUG ); ?></label>
                        </div>

                        <!-- start: .ipimpr-field -->
                        <div class="ipimpr-field col-lg-9 col-md-6 col-sm-12">
                          <select id="ipimpr-image-display-size" class="ipimpr-input" name="image_display_size">
                          </select>

                          <div class="ipimpr-help">
                            <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                            <div class="ipimpr-help-content ipimpr-hide">
                              <?php _e( 'The size options of the image.', IPIMPR_SLUG ); ?>
                            </div>
                          </div>
                        </div>
                        <!-- end: .ipimpr-field -->
                      </div>
                      <!-- end: .ipimpr-field-row -->

                    </div>
                    <!-- end: .ipimpr-fields -->

                  </div>
                  <!-- end: .row -->  

                </div>
                <!-- end: .container -->

              </div>
              <!-- End: .ipimpr-insert-content -->
            </div>
            <!-- End: .ipimpr-insert-fields -->

          </div>
          <!-- End: .ipimpr-insert-main -->

        </div>
        <!-- End: .ipimpr-ui-modal-content -->

      </div>
      <!-- End: .ipimpr-ui-modal-inner -->

      <!-- Start: .ipimpr-ui-modal-action -->
      <div class="ipimpr-ui-modal-action">
        <div class="text-right mr10">
          <button type="button" id="ipimpr-do-insert-finish" class="ipimpr-btn ipimpr-btn-md ipimpr-btn-secondary mr10">
            <i class="ipimpr-fa ipimpr-fa-check-square-o"></i>
            <?php _e( 'Save And Insert', IPIMPR_SLUG ); ?>
          </button>
        </div>
      </div>
      <!-- End: .ipimpr-ui-modal-action -->

    </form>

  </div>
  <!-- End: .ipimpr-ui-modal-main -->

</div>
<!-- End: #ipimpr-search-frame -->
